/**
 * WEBLAB: Service oriented integration platform for media mining and intelligence applications
 *  
 * Copyright (C) 2004 - 2011 Cassidian, an EADS company
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301 USA
 */
package org.ow2.weblab.core.helper.impl;

import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;

import junit.framework.Assert;
import junit.framework.TestCase;

public class FactoryTest extends TestCase {


	public void testFactory() {
		try {
			final Constructor c = RDFSelectorFactory.class.getDeclaredConstructors()[0];
			c.setAccessible(true);
			c.newInstance(new Object[] {});
			Assert.fail();
		} catch (final IllegalArgumentException e) {
		} catch (final SecurityException e) {
		} catch (final InstantiationException e) {
		} catch (final IllegalAccessException e) {
		} catch (final InvocationTargetException e) {
		} catch (final UnsupportedOperationException ue) {
		}
	}

}
