/**
 * WEBLAB: Service oriented integration platform for media mining and intelligence applications
 * 
 * Copyright (C) 2004 - 2011 CASSIDIAN
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301 USA
 */

package org.ow2.weblab.utils;

/**
 * The standard exception to be used in the <code>BackEndJenaHelper</code>.
 * 
 * @author ymombrun
 * @date 2009-06-26
 */
public class RDFHelperException extends RuntimeException {


	/**
	 */
	private static final long serialVersionUID = 7837583408072527190L;


	/**
	 * @param message
	 *            The message
	 */
	public RDFHelperException(final String message) {
		super(message);
	}


	/**
	 * @param message
	 *            The message
	 * @param cause
	 *            The inner cause of the exception
	 */
	public RDFHelperException(final String message, final Exception cause) {
		super(message, cause);
	}

}
