/**
 * WEBLAB: Service oriented integration platform for media mining and intelligence applications
 * 
 * Copyright (C) 2004 - 2011 Cassidian, an EADS company
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301 USA
 * 
 * /!\ At the time of the 1.2 release, this module is still experimental and need more in 
 * depth use and validation. Use it at your own risks ;-)
 */

package org.ow2.weblab.core.annotator;

import junit.framework.TestCase;

import org.ow2.weblab.rdf.OWL2Annotator;

public class TestGeneration extends TestCase {

	public void testgenerate() {

		for (String ontology : new String[] {
		// "src/test/resources/little_geonames.owl",
		// "src/test/resources/dcterms.rdf",
		// "src/test/resources/dcelements.rdf",
		// "src/test/resources/processing.owl",
		// "src/test/resources/retrieval.owl",
		// "src/test/resources/model.owl",
		// "src/test/resources/20111602163629805-0-vne.owl",
		"src/test/resources/owlowl.rdf"

		}) 
		
		OWL2Annotator.main(new String[] { ontology });
			
		
	}
}
