/**
 * WEBLAB: Service oriented integration platform for media mining and intelligence applications
 * 
 * Copyright (C) 2004 - 2011 Cassidian, an EADS company
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301 USA
 */

package org.ow2.weblab.core.helper.impl;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.Locale;
import java.util.Properties;

import junit.framework.Assert;
import junit.framework.TestCase;

import org.ow2.weblab.core.helper.BeanHelper;

/**
 */
@Deprecated
public class BeanHelperTest extends TestCase {


	/**
	 * @throws Exception
	 */
	public void testBeanFactory() throws Exception {

		final BeanHelper factory = BeanHelper.getInstance();

		final Properties props = new Properties();
		final FileInputStream fis = new FileInputStream("src/test/resources/helperTest.properties");
		try {
			props.load(fis);
		} finally {
			try {
				fis.close();
			} catch (final IOException ioe) {
				// Nothing to do
			}
		}

		Assert.assertEquals(props.get(BeanHelper.class.getSimpleName().toLowerCase(Locale.ENGLISH)), factory.getClass().getName());
	}
}
